Skip to main content
POST
Verify License

Path Parameters

teamId
string<uuid>
required

Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier

Body

application/json
licenseKey
string
required

Lukittu license key format: XXXXX-XXXXX-XXXXX-XXXXX-XXXXX where X is an uppercase letter (A-Z) or digit (0-9)

Pattern: ^[A-Z0-9]{5}-[A-Z0-9]{5}-[A-Z0-9]{5}-[A-Z0-9]{5}-[A-Z0-9]{5}$
customerId
string<uuid>

Customer UUID (required if strict customers enabled)

productId
string<uuid>

Product UUID (required if strict products enabled)

challenge
string

Client-generated random string for request signing (no spaces allowed)

Maximum string length: 1000
Pattern: ^[^\s]+$
version
string

Software version identifier (no spaces allowed)

Required string length: 3 - 255
Pattern: ^[^\s]+$
hardwareIdentifier
string

Unique hardware identifier for client device (no spaces allowed)

Required string length: 10 - 1000
Pattern: ^[^\s]+$
branch
string

Product branch name

Required string length: 2 - 255
Pattern: ^[a-zA-Z0-9_-]+$

Response

Successful license verification response

data
object
required

Response data

result
object
required